Download it now!
Bug 59812 - [EDITING] Heavy performance degradation on Impress slides (especially with master pages)
Summary: [EDITING] Heavy performance degradation on Impress slides (especially with ma...
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
4.0.0.2 rc
Hardware: All Mac OS X (All)
: highest major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisected, regression
: 60794 63513 (view as bug list)
Depends on:
Blocks: mab4.1
  Show dependency treegraph
 
Reported: 2013-01-24 17:33 UTC by Emir Sarı
Modified: 2015-12-15 11:03 UTC (History)
9 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Emir Sarı 2013-01-24 17:33:31 UTC
Hello,

Version 4.0.0.2 (Build ID: 408fe71bd18616c467b3dcd7ab6756528ffcae2)
TinderBox: MacOSX TDF Release, Branch:libreoffice-4-0, Time: 2013-01-22_15:37:59

Problem:

- With the new master pages, moving elements throughout the slides is very very sluggish. It is nearly impossible to work, it is very annoying. 
- Without the master pages the frame rate performance is not very good either. So I guess the more detail the more slow it gets. 
- There is no such problem in 3.6.5.2.
Comment 1 Jorendc 2013-01-26 19:57:08 UTC
Thanks for reporting!

I can confirm this behavior using Linux Mint 14 x64; Latest master Version 4.1.0.0.alpha0+ (Build ID: f1bca26afcc7593d0124c216c0400a9e2e47fc1) and LibreOffice 4.0.0.2 rc2;

This is not the first bug I saw that have problems with the master pages (see 'See Also' section).

Following [1] I mark this bug as 'major' and 'high'.
Comment 2 Jorendc 2013-02-13 14:35:33 UTC
*** Bug 60794 has been marked as a duplicate of this bug. ***
Comment 3 Joel Madero 2013-02-28 20:24:44 UTC
Bibisect:

fad6aba1675531a031872af655be5756c5012cb9 is the first bad commit
commit fad6aba1675531a031872af655be5756c5012cb9
Author: Bjoern Michaelsen <bjoern.michaelsen@canonical.com>
Date:   Tue Dec 11 05:45:37 2012 +0000

    source-hash-d38a2e3ea04d354492df18aa16d2304babe87dfb
    
    commit d38a2e3ea04d354492df18aa16d2304babe87dfb
    Author:     Andras Timar <atimar@suse.com>
    AuthorDate: Thu Nov 22 07:01:11 2012 +0100
    Commit:     Gerrit Code Review <gerrit@vm2.documentfoundation.org>
    CommitDate: Thu Nov 22 06:00:42 2012 +0000
    
        Updated core
        Project: help  53421e107f2e8c933e463e03a6bb7a0178b3ff85
        move Presenter Console help to main help

:100644 100644 03a040999f63a580a1509f0d908fa9a9f149fad1 c3c6030ca2524901562ab3929e935673afc71830 M	autogen.log
:100644 100644 760e368a7df5a07687a83c81a51e73bb80c62ceb 2c2bed043e9f7db2c6b83b8d335720cab50ca674 M	ccache.log
:100644 100644 88657431c9c9c0aa14b8c93c720e3c6b5222d64a c1da9e4ff9610086cab73a134a1120fddb0ee4a6 M	commitmsg
:100644 100644 793e45124d193a35b8925402bda4e8f14e9dba8c cda5ea59bdebfe2bfe39e2dfd18922c94824e38f M	dev-install.log
:100644 100644 54ed0708af49cfca9bbbe4c60484adbb1f3628f1 0a121b8ec2c59d8c7b1a2c51f2c643b288216d9d M	make.log
:040000 040000 8e2ebefc6e5ba8a91bf16e7cdef72824536b4fb0 d06b2228c45cf5234fd35d57f9e696bd6706b396 M	opt



# bad: [5b4b36d87517a6ea96ff8c84c46b12f462fc9a1a] source-hash-8450a99c744e9005f19173e4df35d65640bcf5c4
# good: [65fd30f5cb4cdd37995a33420ed8273c0a29bf00] source-hash-d6cde02dbce8c28c6af836e2dc1120f8a6ef9932
git bisect start 'latest' 'oldest'
# good: [16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9] source-hash-099198a4224778fe6e43f5dc13b5b9b1b4dc828c
git bisect good 16b0b88cbd4ef0f51816e97277e40c5cf78f7bf9
# good: [f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a] source-hash-a581d31b227623e09d2970a91214fda398f98eda
git bisect good f28b8f9a6c47fa59bf98fffe937a2f2db7a2445a
# good: [114fd3b76bcba890e6d702d00cef910f1493c262] source-hash-64ab96cd15e52da88781e720d6f031dbcd0ba902
git bisect good 114fd3b76bcba890e6d702d00cef910f1493c262
# good: [47498a36f7af8f54e6e3dda89cd4708802a409e6] source-hash-19f4ebd8a54da0ae03b9cc8481613e5cd20ee1e7
git bisect good 47498a36f7af8f54e6e3dda89cd4708802a409e6
# bad: [66083171ba534818399937597388d325091fffab] source-hash-9d83ad0e99ab182506be99f7d6a2bec7f6fbe8c6
git bisect bad 66083171ba534818399937597388d325091fffab
# good: [5dddcff8ae35692d89751ae98ab8acbbf802b5b4] source-hash-d85fd8a85501547d5bb87822d2589a07aed7f2d6
git bisect good 5dddcff8ae35692d89751ae98ab8acbbf802b5b4
# bad: [99fa32bfa0d6116217da0834f3a630b3775aa16a] source-hash-246ffb108c7e1f762f8d497750ad2414b85b99ef
git bisect bad 99fa32bfa0d6116217da0834f3a630b3775aa16a
# bad: [fad6aba1675531a031872af655be5756c5012cb9] source-hash-d38a2e3ea04d354492df18aa16d2304babe87dfb
git bisect bad fad6aba1675531a031872af655be5756c5012cb9
Comment 4 Jorendc 2013-04-16 23:03:52 UTC
*** Bug 63513 has been marked as a duplicate of this bug. ***
Comment 5 Jorendc 2013-05-02 18:44:55 UTC
Thanks to Kendy this bug is fixed (http://cgit.freedesktop.org/libreoffice/core/commit/?id=617dddda6258d63d7f2307f38322a411670e6ed8).

Can't reproduce this behavior anymore using Linux Mint 14 x64 with LibreOffice 4.0.3.2
Comment 6 Emir Sarı 2013-05-02 20:15:43 UTC
I still can reproduce this behaviour with 4.0.3.2. 

OS X 10.7.5
Comment 7 Joel Madero 2013-05-02 20:17:34 UTC
Marking as NEW for now (reopened is ONLY if bug is assigned). 

Joren - feel free to give input here :-D
Comment 8 Emir Sarı 2013-07-24 12:29:59 UTC
Issue persists with 4.1.0.4.
Comment 9 Björn Michaelsen 2014-01-17 09:58:23 UTC
(This is an automated message.)

Setting priority to highest as this is a 4.0 MAB. This is part of an effort to make the importance of MAB reflected in priority too.
Comment 10 stragu 2014-02-13 23:07:26 UTC
Moving to mab4.1 (Bug 60270) because:
- 4.0 reached EOL (End Of Life)
- bug confirmed in later version
Comment 11 tommy27 2014-05-12 19:47:40 UTC
please retest against 4.2.4.2
if bug's still there please move it to mab4.2 list since 4.1.x is END OF LIFE
Comment 12 tommy27 2014-06-04 16:41:52 UTC
changing version field from ALL to MACOS since issue is not reproducible anymore under Linux (see comment 5) but still reproducibile under Mac (see comment 8)

as already requested, this bug should be retested under recent 4.2.x releases and moved from the mab4.1 list to the mab4.2 list if still present.

@Emir San 
would you please do that?
Comment 13 Emir Sarı 2014-06-04 17:13:36 UTC
Under latest master I do not see the issue any more. 

Marking as WORKSFORME. Feel free to open if reencountered again.
Comment 14 Robinson Tryon (qubit) 2015-12-15 11:03:01 UTC
Migrating Whiteboard tags to Keywords: (bibisected)
[NinjaEdit]